buildscript {
    repositories {
        mavenLocal()
        maven { url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'
bootJar.enabled = false
jar.enabled = true

dependencies {
    compile project(":common:utils")
    compile project(":common:data")
    compile project(":dao:dao-interface")
    compile fileTree(dir: 'src/main/lib', include: '*.jar')
    compile('org.apache.logging.log4j:log4j-core:2.15.0')
    compile('org.apache.logging.log4j:log4j-jul:2.15.0')
    compile('org.apache.logging.log4j:log4j-api:2.15.0')
    compile('org.apache.logging.log4j:log4j-slf4j-impl:2.15.0')
    //compile("com.github.it235:knife4j-redis-lettuce-stater")
//    compile('org.springframework.boot:spring-boot-starter-data-redis')
//    implementation "org.springframework.boot:spring-boot-starter-redis:1.3.5.RELEASE"
    testCompile("$bootGroup:spring-boot-starter-test")
    // https://mvnrepository.com/artifact/io.jsonwebtoken/jjwt
    compile group: 'io.jsonwebtoken', name: 'jjwt', version: '0.9.0'
    compile 'org.apache.commons:commons-pool2'
    compile("$bootGroup:spring-boot-starter-data-redis-reactive")
    compile 'com.fasterxml.jackson.core:jackson-databind'


}